PKGCTL-AUTH-LOGIN(1)

BEZEICHNUNG
pkgctl-auth-login - An einer GitLab-Instanz authentifizieren

ÜBERSICHT

pkgctl auth login [OPTIONEN]

BESCHREIBUNG

Interaktiv an einer GitLab-Instanz authentifizieren.

Der minimal benötigte Geltungsbereich für das Token ist: api, write_repository.

Der GitLab-API-Token kann entweder in einer reinen Textdatei in $XDG_CONFIG_HOME/devtools/gitlab.conf gespeichert oder mittels der Umgebungsvariable DEVTOOLS_GITLAB_TOKEN über einen beliebigen Befehl (gpg, vault, Passwortverwalter) bereitgestellt werden, indem ein Shell-Alias wie folgt deklariert wird:

    $ alias pkgctl='DEVTOOLS_GITLAB_TOKEN="$(Befehl, um den Token zu erlangen)" pkgctl'

OPTIONEN

-g, --gen-access-token
    Öffnet die URL, um einen neuen, persönlichen Zugriffs-Token zu erstellen.

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-auth-status(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.